#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commander = void 0;
const commander_1 = __importDefault(require("commander"));
exports.commander = commander_1.default;
const _1 = require(".");
commander_1.default.option("-p --path <path>", "Working path for serverless package context", process.cwd());
commander_1.default
    .command("show")
    .description("Show the serverless configuration for this package")
    .action(() => {
    const config = _1.getServerlessConfig(commander_1.default.path);
    process.stdout.write(JSON.stringify(config, null, 2));
});
commander_1.default
    .command("set <key> <value>")
    .description("Update a single key to a specific value")
    .option("-t --targetFile <filename>", "File to update - one of package.json or .serverlessrc", ".serverlessrc")
    .option("-j --json", "Treat value as JSON string", false)
    .action((key, value, { targetFile, json }) => {
    if (json)
        value = JSON.parse(value);
    _1.updateServerlessConfig({ [key]: value }, commander_1.default.path, targetFile);
});
commander_1.default.parse(process.argv);
//# sourceMappingURL=bin.js.map